# number

The number class for Cheddar

## Arguments

| name  | type             | description                                               |
| ----- | ---------------- | --------------------------------------------------------- |
| base  | number           | base to translate the given to                            |
| shift | number           | number of zeros to append to the value before base change |
| value | number or string | The literal value of the number                           |

## Usage:

`0b101`, with api:

```javascript
cheddar.init(
    cheddar.number,
    2, 0, 101
)
```

`0xFF`, with api:

```javascript
cheddar.init(
    cheddar.number,
    16, 0, 'FF'
)
```

`123`, with api:

```javascript
cheddar.init(
    cheddar.number,
    10, 0, 123
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cheddar.vihan.org/docs/developing/api/primitives/number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
